classification
Title: Use specific asserts in warnings and exceptions tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2014-02-07 20:26 by serhiy.storchaka, last changed 2017-03-30 15:07 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_warnexc_asserts.patch serhiy.storchaka, 2014-02-07 20:26 review
Pull Requests
URL Status Linked Edit
PR 788 merged serhiy.storchaka, 2017-03-23 17:06
Messages (3)
msg210545 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 20:26
The proposed patch makes warnings and exceptions related tests use more specific asserts. This will provide more useful failure report.
msg237321 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-06 02:21
LGTM.
msg290847 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-30 15:05
New changeset f15c4d374a07c576c0e8349b16604f6dbad0b953 by Serhiy Storchaka in branch 'master':
bpo-20548: Use specific asserts in warnings and exceptions tests (#788)
https://github.com/python/cpython/commit/f15c4d374a07c576c0e8349b16604f6dbad0b953
History
Date User Action Args
2017-03-30 15:07:08serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.7, - Python 2.7, Python 3.3, Python 3.4
2017-03-30 15:05:11serhiy.storchakasetmessages: + msg290847
2017-03-23 18:36:20BreamoreBoysetnosy: - BreamoreBoy
2017-03-23 17:06:27serhiy.storchakasetpull_requests: + pull_request693
2015-03-06 02:21:05BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237321
2014-02-07 20:29:32serhiy.storchakalinkissue16510 dependencies
2014-02-07 20:26:11serhiy.storchakacreate